FFmpeg libavcodec ‘vqavideo.c’ ‘.vaq’文件堆内存破坏漏洞

漏洞起因
缓冲区溢出错误
危险等级

影响系统
FFmpeg

不受影响系统

危害
远程攻击者可以利用漏洞以应用程序上下文执行任意代码。

攻击所需条件
攻击者必须构建恶意’.vaq’文件,诱使用户解析。

漏洞信息
FFmpeg是一款用于录制、转换和流化音频和视频的完整解决方案。
FFmpeg libavcodec “vqa_decode_chunk”函数(vqavideo.c)处理’.vaq’媒体文件存在一个堆破坏漏洞,攻击者利用此漏洞可破坏堆内存,可能导致任意代码执行。

测试方法

厂商解决方案
用户可参考如下供应商提供的安全公告获得补丁信息:
https://bugs.launchpad.net/ubuntu/+source/libav/+bug/980963

漏洞提供者
Fabian Yamaguchi and Markus Lottmann